std::experimental::packaged_task(concurrencyTS)(3)

NAME
std::experimental::packaged_task(concurrencyTS) - std::experimental::packaged_task(concurrencyTS)

Synopsis
   Defined in header <experimental/future>
   template< class > class packaged_task; //not defined (1) (concurrency TS)
   template< class R, class ...Args > (2) (concurrency TS)
   class packaged_task<R(Args...)>;
   std::experimental::concurrency_v1::packaged_task is a modified version of
   std::packaged_task provided by the concurrency TS that works with
   std::experimental::future.
   The only change from std::packaged_task is that the get_future() member function
   returns a std::experimental::future<R>.